devel/p5-MooseX-Types-Common - The NetBSD Packages Collection

Commonly-used type constraints that do not ship with Moose by default

A set of commonly-used type constraints that do not ship with Moose by default.

 Numeric:
    * PositiveNum
    * PositiveInt
    * NegativeNum
    * Int
    * SingleDigit

 String:
    * SimpleStr
      A Str with no new-line characters.
    * NonEmptySimpleStr
      Does what it says on the tin.
    * Password
    * StrongPassword
    * NonEmptyStr

Build dependencies

devel/p5-Test-Fatal pkgtools/cwrappers

Runtime dependencies

devel/p5-Moose devel/p5-MooseX-Types lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 8.0earmv7hfp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 8.0earmv7hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 8.0i386p5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 8.0i386p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 8.0powerpcp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 8.0powerpcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 8.0powerpcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 8.0powerpcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 8.0x86_64p5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 8.0x86_64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0aarch64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0aarch64p5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0aarch64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0alphap5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0alphap5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0alphap5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0earmp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmv6hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmv6hfp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0earmv6hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmv7hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmv7hfp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0earmv7hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0earmv7hfp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0i386p5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0i386p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0i386p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0mips64ebp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0mips64ebp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0mips64ebp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0mips64ebp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0mips64ebp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0powerpcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0powerpcp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0powerpcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0powerpcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0sh3elp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0sh3elp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0sh3elp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0sparc64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0sparc64p5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0sparc64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0sparcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0sparcp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0sparcp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0sparcp5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0sparcp5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0x86_64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0x86_64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0x86_64p5-MooseX-Types-Common-0.001014nb4.tgz
NetBSD 9.0x86_64p5-MooseX-Types-Common-0.001014nb5.tgz
NetBSD 9.0x86_64p5-MooseX-Types-Common-0.001014nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.